<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.1/jquery.min.js" integrity="sha512-aVKKRRi/Q/YV+4mjoKBsE4x3H+BkegoM/em46NNlCqNTmUYADjBbeNefNxYV7giUp0VxICtqdrbqU7iVaeZNXA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.21/js/jquery.dataTables.min.js" integrity="sha512-BkpSL20WETFylMrcirBahHfSnY++H2O1W+UnEEO4yNIl+jI2+zowyoGJpbtk6bx97fBXf++WJHSSK2MV4ghPcg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.21/js/dataTables.bootstrap4.min.js" integrity="sha512-OQlawZneA7zzfI6B1n1tjUuo3C5mtYuAWpQdg+iI9mkDoo7iFzTqnQHf+K5ThOWNJ9AbXL4+ZDwH7ykySPQc+A==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script>
  const lang = document.documentElement.lang.toString();
  //Default
  let url_language = '/bundles/app/js/libs/datatables/it-IT.json';
  if(lang === 'en'){
    url_language = '/bundles/app/js/libs/datatables/en-GB.json';
  }else if(lang === 'de'){
    url_language = '/bundles/app/js/libs/datatables/de-DE.json';
  }
    $(function () {
      $('#payments_table').DataTable({
        "order": [[3, "asc"]],
        columnDefs: [
          {orderable: false, targets: 5}
        ],
        language: {
          url: url_language
        },
        stateSave: true,
        dom: "<'row'<'col-6 pt-2'l><'col-6'f>>" +
          "<'row'<'col-12'tr>>" +
          "<'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 mt-2'p>>"
      });
    })
</script>

<div class="mt-4">
  <h3>{{ 'backoffice.integration.subscription_service.payments' | trans }}</h3>
</div>
<div class="col-lg-12 py-lg-2">
  <table id="payments_table" class="table table-hover mt-3">
    <thead>
    <tr>
      <th>{{ 'backoffice.integration.subscription_service.payment.reason'|trans }}</th>
      <th>{{ 'backoffice.integration.subscription_service.payment.type'|trans }}</th>
      <th>{{ 'backoffice.integration.subscription_service.subscription_service'|trans }}</th>
      <th>{{ 'backoffice.integration.subscription_service.payment.execution_date'|trans }}</th>
      <th>{{ 'backoffice.integration.subscription_service.payment.amount'|trans }}</th>
      <th aria-label="{{ 'no_value' | trans() }}" ></th>
    </tr>
    </thead>
    <tbody>
    {% for subscription in subscriber.subscriptions %}
      {% for item in subscription.subscriptionPayments %}
        <tr>
          <td>
            <a
              href="{{ path('operatori_subscriber_show', { 'subscriber': item.subscription.subscriber.id, 'tab': 'subscriptions', 'show_subscription': item.subscription.id}) }}">
              <span data-toggle="tooltip" title="{{ item.description }}">{{ item.description }}</span>
            </a>
          </td>
          <td>{% if identifiers[item.subscription.subscriptionService.code][item.name] is defined %} {{ ('backoffice.integration.subscription_service.payment.text_' ~ identifiers[item.subscription.subscriptionService.code][item.name]) | trans }} {% endif %}</td>
          <td>{{ subscription.subscriptionService.name }}</td>
          <td>{% if item.paymentDate %}{{ item.paymentDate | format_date( locale=app.request.locale) }}{% endif %}</td>
          <td><code>{{ item.amount }}€</code></td>
          <td class="d-none d-none d-lg-table-cell align-middle">
            <div class="float-right">
              <a id="downloadCertificate" href="{{ path('payment_certificate_download_operatore', {"subscriptionId": item.subscription.id, "subscriptionPaymentId": item.id }) }}" download="">
                <svg class="icon icon-primary">
                  <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-download"></use>
                </svg>
              </a>
            </div>
          </td>
        </tr>
      {% endfor %}
    {% endfor %}
    </tbody>
  </table>
</div>
